@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Open Sans", sans-serif, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    /* border: solid 1px red !important; */
}

html {
    font-size: 16px;
    scrollbar-width: thin;
}

body {
    font-family: "Open Sans", sans-serif, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    background-color: var(--bg-alt);
    color: var(--text-main);
    font-weight: 400;
    scroll-behavior: smooth;
    width: 100%;
    overflow-x: hidden;
}

:root {
    /* Brand Colors */
    --secondary: #1E90FF;
    --secondary-variant: #40afff;
    --primary: #0057D9;
    --primary-variant: #4289fb;

    /* Backgrounds */
    --bg-body: #f7fbfe;
    --bg-alt: #E8F3FF;
    --bg-white: #FFFFFF;
    --bg-dark: #0A1727;
    --fade-bg-dark: rgba(0, 0, 0, 0.50);
    --fade-bg-light: rgba(255, 255, 255, 0.5);

    /* Gradients */
    --gradient-primary: linear-gradient(360deg, var(--secondary), var(--primary));
    --gradient-primary-2: linear-gradient(270deg, var(--secondary), var(--primary));
    --gradient-surface: linear-gradient(180deg, var(--bg-white), var(--bg-alt));
    --gradient-dark: linear-gradient(135deg, #0A1727, #0D3E80, #142477);

    /* --- 3. NEUTRALS & TEXT (Legibility) --- */
    --text-main: #0A1A33;
    --text-muted: #43607C;
    --text-ghost: #6B819A;
    --text-white: #FFFFFF;

    /* --- 6. BORDERS & SHADOWS --- */
    --border-soft: #D6E1EE;
    --border-bold: #C0CCDB;
    --border-medium: #AAB8C9;
    /* --- 2. THE BLUE SCALE (Extensive Depth) --- */
    --primary-25: #e7f1fb;
    --primary-50: #DDEBFF;
    --primary-100: #C7E0FF;
    --primary-200: #ACD3FF;
    --primary-300: #9ECCFD;
    --primary-400: #AED3FF;
    --primary-500: #40AFFF;
    --primary-600: #1E90FF;
    --primary-700: #1874D0;
    --primary-800: #0F4A80;
    --primary-900: #0A1727;

    /* Indigo Variations */
    --indigo-10: #eef2ff39;
    --indigo-25: #eef2ff;
    --indigo-50: #eef2ff;
    --indigo-100: #e0e7ff;
    --indigo-200: #c7d2fe;
    --indigo-500: #6366f1;
    --indigo-600: #4f46e5;
    --indigo-700: #4338ca;
    --indigo-900: #312e81;

    /* Green Variations */
    --green-10: #DFFCF244;
    --green-15: #DFFCF288;
    --green-25: #E8FFF8;
    --green-50: #DCFFF4;
    --green-100: #C2FCE6;
    --green-400: #2EE6A5;
    --green-500: #00CC8B;
    --green-600: #00A76E;
    --green-700: #008F5A;
    --green-800: #006B43;
    --green-900: #00573E;

    /* Orange Variations */
    --orange-10: #FFF4E644;
    --orange-100: #FFE8D2;
    --orange-500: #FF7A29;
    --orange-600: #F2651C;
    --orange-700: #D45417;
    --orange-800: #B34112;

    /* Purple Variations */
    --purple-10: #F3E8FF44;
    --purple-15: #F3E8FF88;
    --purple-25: #F3E8FF;
    --purple-100: #ECE4FF;
    --purple-500: #8D6BFC;
    --purple-600: #7352EB;
    --purple-700: #5A3ACD;
    --purple-800: #3E27A3;

    /* Yellow Variations */
    --yellow-10: #f59e0b33;
    --yellow-20: #FFF9E688;
    --yellow-25: #fff9e6ee;
    --yellow-100: #FFF5D1;
    --yellow-400: #FFD546;
    --yellow-500: #F8C624;
    --yellow-600: #D4A61B;
    --yellow-700: #B38614;
    --yellow-800: #fbbe24e7;


    /* Red Variations */
    --red-100: #fee2e2;
    --red-500: #ef4444;
    --red-600: #dc2626;

    /* Slate Variations */
    --slate-100: #f1f5f9;
    --slate-200: #e2e8f0;
    --slate-300: #cbd5e1;
    --slate-400: #94a3b8;
    --slate-500: #64748b;
    --slate-600: #475569;
    --slate-700: #334155;
    --slate-800: #1e293b;
    --slate-900: #0f172a;

    /* --- 5. SEMANTIC COLORS (Feedback) --- */
    --success: #00CC8B;
    --warning: #FF8C42;
    --error: #FF4C4C;
    --info: var(--primary);
    --whatsapp: #25D366;

    /* Shadow */
    --shadow-btn: -2px 2px 3px -1px rgba(0, 0, 0, 0.15), 2px -2px 3px -1px rgba(0, 0, 0, 0.15), -2px -2px 3px -1px rgba(0, 0, 0, 0.15), 2px 2px 3px -1px rgba(0, 0, 0, 0.15);
    --shadow-card: -3px 3px 4px -1px rgba(0, 0, 0, 0.10), 3px -3px 4px -1px rgba(0, 0, 0, 0.10), -3px -3px 4px -1px rgba(0, 0, 0, 0.10), 3px 3px 4px -1px rgba(0, 0, 0, 0.10);
    --shadow-lg-plane: -5px 5px 20px 0px rgba(0, 0, 0, 0.10), 5px -5px 20px 0px rgba(0, 0, 0, 0.10), -5px -5px 20px 0px rgba(0, 0, 0, 0.10), 5px 5px 20px 0px rgba(0, 0, 0, 0.10);
    --shadow-xs: 0 1px 2px rgba(0, 0, 0, 0.05);
    --shadow-sm: 0 2px 4px rgba(0, 0, 0, 0.1);
    --shadow-md: 0 4px 8px rgba(0, 0, 0, 0.15);
    --shadow-lg: 0 8px 16px rgba(0, 0, 0, 0.2);
    --shadow-xl: 0 12px 24px rgba(0, 0, 0, 0.25);
    --shadow-inner: inset 0 2px 4px rgba(0, 0, 0, 0.06);
    --shadow-glow: 0 0 20px rgba(0, 0, 0, 0.3);
}

/* Entry Animation */
.scroll-animate {
    opacity: 0;
    scale: 0.7;
    transition: all 0.5s ease-out;
}

.scroll-animate.active {
    opacity: 1;
    scale: 1;
}


/* Custom Classes */
p,
h1,
h2,
h3,
h4,
h5,
h6,
li,
span,
a {
    margin: 0;
    padding: 0;
}

.container-fluid {
    padding: 0px;
    margin: auto;
}

.container-xl {
    padding: 0rem 1.25rem;
    margin: auto;
}

.row {
    margin: 0px;
}

.row>* {
    margin: 0px;
    padding: 0;
}

.bg-alt {
    background-color: var(--bg-alt) !important;
}

.bg-white {
    background-color: var(--bg-white) !important;
}

.bg-body {
    background-color: var(--bg-body) !important;
}

.bg-dark {
    background-color: var(--bg-dark) !important;
}

.bg-gradient-primary {
    background: var(--gradient-primary) !important;
}

.bg-gradient-surface {
    background: var(--gradient-surface) !important;
}

.bg-gradient-dark {
    background: var(--gradient-dark) !important;
}

.bg-fade-dark {
    background-color: var(--fade-bg-dark) !important;
}

.text-main {
    color: var(--text-main) !important;
}

.text-muted {
    color: var(--text-muted) !important;
}

.text-ghost {
    color: var(--text-ghost) !important;
}

.text-white {
    color: var(--text-white) !important;
}

.text-primary {
    color: var(--primary) !important;
}

.text-secondary {
    color: var(--secondary) !important;
}

.text-tertiary {
    color: var(--slate-400);
}

.text-purple {
    color: var(--purple-700);
}

.text-green {
    color: var(--green-600) !important;
}

.text-orange {
    color: var(--orange-600) !important;
}
.text-yellow {
    color: var(--yellow-600) !important;
}
.text-indigo {
    color: var(--indigo-700) !important;
}

.link {
    font-size: 0.9rem;
    font-weight: 500;
}

.primary-link {
    color: var(--secondary);
    text-decoration: underline dotted !important;

    &:hover {
        text-decoration: underline dashed !important;
        color: var(--primary);
    }
}

.secondary-link {
    color: var(--slate-400);
    text-decoration: underline dotted !important;

    &:hover {
        text-decoration: underline dashed !important;
        color: var(--slate-300);
    }
}

:-webkit-any(li) {
    list-style: none;
}

:-webkit-any(ul) {
    padding: 0;
    margin: 0;
}

.form-control {
    border-radius: 12px;
}

.fi {
    position: relative;
    top: 2px;
}

:-webkit-any(a) {
    text-decoration: none;
}

.border-bold {
    border: solid 1.5px var(--border-bold);
}

.border-medium {
    border: solid 1.5px var(--border-medium);
}

.border-soft {
    border: solid 1.5px var(--border-soft);
}

.radius-1 {
    border-radius: 16px !important;
}

.radius-2 {
    border-radius: 12px !important;
}

.radius-circle {
    border-radius: 100%;
}

.shadow-btn {
    box-shadow: var(--shadow-btn);
}

.shadow-card {
    box-shadow: var(--shadow-card);
}

.shadow-lg-plane {
    box-shadow: var(--shadow-lg-plane);
}

.shadow-xs {
    box-shadow: var(--shadow-xs);
}

.shadow-sm {
    box-shadow: var(--shadow-sm);
}

.shadow-md {
    box-shadow: var(--shadow-md);
}

.shadow-lg {
    box-shadow: var(--shadow-lg);
}

.shadow-xl {
    box-shadow: var(--shadow-xl);
}

.shadow-inner {
    box-shadow: var(--shadow-inner);
}

.shadow-glow {
    box-shadow: var(--shadow-glow);
}

.btn {
    font-size: 1rem !important;
    font-weight: 600 !important;
    border-radius: 12px !important;
    border: 1.5px solid var(--primary) !important;
    padding: 8px 16px !important;
    transition: all 0.3s ease-in-out;
    white-space: nowrap !important;
    text-align: center;
    min-width: 175px !important;

    &:active {
        transform: scale(0.95);
    }
}

.primary-btn {
    box-shadow: var(--shadow-btn);
    background: var(--gradient-primary);
    color: var(--text-white) !important;

    &:hover {
        filter: brightness(1.3);
    }
}

.secondary-btn {
    background-color: var(--bg-white);
    box-shadow: var(--shadow-sm);
    color: var(--primary) !important;

    &:hover {
        background: var(--gradient-primary);
        color: var(--text-white) !important;
    }
}

.tertiary-btn {
    background-color: var(--slate-700);
    box-shadow: var(--shadow-glow);
    color: var(--text-white) !important;
    border: var(--border-bold) !important;

    &:hover {
        background: var(--slate-500);
    }
}


/* tags */
.tag {
    width: fit-content;
    font-size: 0.90rem;
    font-weight: 600;
    padding: 8px 16px;
    border-radius: 30px;
    text-transform: uppercase;
    white-space: nowrap;
    display: inline-block;
    border: solid 1.5px transparent;
    user-select: none;
    box-shadow: var(--shadow-sm);
}

.tag-blue {
    background-color: var(--primary-50);
    color: var(--primary-800);
    border-color: var(--primary-800);
}

.tag-green {
    background-color: var(--green-50);
    color: var(--green-800);
    border-color: var(--green-800);
}

.tag-purple {
    background-color: var(--purple-25);
    color: var(--purple-800);
    border-color: var(--purple-800);
}
.tag-indigo {
    background-color: var(--indigo-25);
    color: var(--indigo-700);
    border-color: var(--indigo-700);
}

.tag-yellow {
    background-color: var(--yellow-20);
    color: var(--yellow-800);
    border-color: var(--yellow-800);
}

.tag-red {
    background-color: var(--red-100);
    color: var(--red-600);
    border-color: var(--red-600);
}

.tag-slate {
    background-color: var(--slate-200);
    color: var(--slate-800);
    border-color: var(--slate-800);
}

.tag-orange {
    background-color: var(--orange-100);
    color: var(--orange-800);
    border-color: var(--orange-800);
}


/* social links */
.social-link-box {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 5px;
}

.icon {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    border: solid 1px transparent;
    transition: all 0.3s ease-in-out;
    font-size: 1.25rem;
    width: 40px;
    height: 40px;
    cursor: pointer;
}

.icon-white {
    color: var(--slate-300);

    &:hover {
        background-color: var(--slate-800);
        border-color: var(--slate-300);
    }
}

.icon-blue {
    color: var(--primary-600);

    &:hover {
        background-color: var(--primary-50);
        border-color: var(--primary-600);
    }
}

.icon-red {
    color: var(--red-600);

    &:hover {
        background-color: var(--red-100);
        border-color: var(--red-600);
    }
}

.icon-green {
    color: var(--whatsapp);

    &:hover {
        background-color: var(--green-50);
        border-color: var(--whatsapp);
    }
}

.icon-slate {
    color: var(--slate-800);

    &:hover {
        background-color: var(--slate-200);
        border-color: var(--slate-800);
    }
}

.icon-purple {
    color: var(--purple-600);

    &:hover {
        background-color: var(--purple-25);
        border-color: var(--purple-600);
    }
}

.icon-orange {
    color: var(--orange-500);

    &:hover {
        background-color: var(--orange-100);
        border-color: var(--orange-500);
    }
}

.icon-yellow {
    color: var(--yellow-600);

    &:hover {
        background-color: var(--yellow-100);
        border-color: var(--yellow-600);
    }
}
.icon-indigo {
    color: var(--indigo-700);

    &:hover {
        background-color: var(--indigo-100);
        border-color: var(--indigo-700);
    }
}

.badge {
    background-color: var(--primary-50);
    border: solid 1px transparent;
    border-color: var(--slate-500);
    color: var(--slate-600);
    font-size: 0.85rem;
    font-weight: 600;
    border-radius: 16px;
    padding: 5px 10px;
    user-select: none;
}

.blue-badge {
    background-color: var(--blue-100);
    color: var(--primary-blue);
}

.prpl-badge {
    background-color: var(--purple-100);
    color: var(--purple-600);
}

.orng-badge {
    background-color: var(--orange-100);
    color: var(--orange-600);
}

.green-badge {
    background-color: var(--green-50);
    color: var(--green-600);
    border-color: var(--green-600);
}

.yellow-badge {
    background-color: var(--yellow-100);
    color: var(--yellow-500);
}

.red-badge {
    background-color: var(--red-100);
    color: var(--red-500);
}


.page-banner {
    height: max-content;
    background-position: center right !important;
    background-size: cover !important;
    background-repeat: no-repeat !important;
    position: relative;
}

.page-banner::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.15);
}

.page-banner .container-xl {
    z-index: 5;
    padding-top: 5.5rem;
    padding-bottom: 5.5rem;
}

.page-banner h1 {
    font-size: calc(2.5rem + 2vw);
    font-weight: 800;
    color: var(--text-white);
    text-shadow: 0px 0px 15px var(--fade-bg-dark);
    line-height: 1;
    margin-bottom: 1.5rem;
}

.page-banner p {
    font-size: 1.5rem;
    font-weight: 500;
    color: var(--text-white);
    text-shadow: 0px 0px 8px var(--fade-bg-dark);
}



.section-heading-box {
    padding: 40px 10px 20px 10px;
    text-align: center;
}

.section-title {
    font-size: 2.35rem;
    font-weight: 800;
    color: var(--indigo-900);
    position: relative;
    display: inline-block;
    padding-bottom: 10px;
    margin-bottom: 10px;
    user-select: none;

    &:after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 30%;
        height: 4px;
        background: var(--gradient-dark);
        border-radius: 20px;
    }
}

.section-subtitle {
    font-size: 1.05rem;
    font-weight: 600;
    color: var(--text-muted);
    user-select: none;
}

.card {
    width: 100%;
    background-color: var(--bg-white);
    padding: 16px !important;
    border: 1.5px solid var(--bg-white);
    border-radius: 16px !important;
    box-shadow: var(--shadow-card);
    transition: all 0.3s ease-in-out;
    cursor: pointer;
    overflow: hidden;
    flex-shrink: 0;

    &:hover {
        transform: translateY(-5px);
        scale: 1.05;
        box-shadow: var(--shadow-lg);
    }
}

.card .btn {
    min-width: unset !important;
}

.card-header {
    display: flex;
    align-items: center;
    background-color: unset;
    gap: 1rem;
    padding: 0;
    border: 0;
}

.card-header .tag {
    width: 50px !important;
    min-width: 50px;
    height: 50px !important;
    min-height: 50px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    flex-shrink: 1;
}


.card-title {
    width: 100%;
    font-size: 1.45rem;
    font-weight: 700;
    margin-bottom: 8px;
}

.card-subtitle {
    color: var(--text-muted);
    font-size: 1rem;
}

.card-content {
    padding: 16px 0;
}

.card-text {
    font-size: 1rem !important;
    line-height: 1.5;
    color: var(--text-main);
    margin-bottom: 16px;
    height: max-content;
    display: -webkit-box;
    line-clamp: 10;
    -webkit-line-clamp: 10;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
}
#education .card-text, #about .card-text{
    line-clamp: unset;
    -webkit-line-clamp: unset;
}
.statbox {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

.stat {
    display: flex;
    align-items: center;
    gap: 0.35rem;
    color: var(--text-muted);
    font-size: 0.85rem;
    font-weight: 600;
}

.stat-md {
    display: flex;
    align-items: center;
    gap: 0.45rem;
    color: var(--text-muted);
    font-size: 0.9rem;
    font-weight: 600;
}

.thumbnail-box {
    width: 100%;
    border-radius: 12px;
    overflow: hidden;
    margin-bottom: 16px;
}

.thumbnail-box img {
    width: 100%;
    transition: all 0.3s ease-in-out;
    object-fit: contain;
}

.card:hover .thumbnail-box img {
    scale: 1.05;
}

.card-footer {
    padding: 16px;
    background: var(--primary-25);
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-radius: 12px !important;
    border: 0;
}